#include <datatypes/datatypesclass.h>

#define	DTM_WRITEPIXELARRAY	(DTM_Dummy+0x60)	/*Datatypesclass.h*/
#define	DTM_READPIXELARRAY	(DTM_Dummy+0x61)	/*Datatypesclass.h*/
#define	DTM_CREATEPIXMAPDIR	(DTM_Dummy+0x62)	/*Datatypesclass.h*/
#define	DTM_FIRSTPIXMAPDIR	(DTM_Dummy+0x63)	/*Datatypesclass.h*/
#define	DTM_NEXTPIXMAPDIR	(DTM_Dummy+0x64)	/*Datatypesclass.h*/
#define	DTM_PREVPIXMAPDIR	(DTM_Dummy+0x65)	/*Datatypesclass.h*/
#define	DTM_BESTPIXMAPDIR	(DTM_Dummy+0x66)	/*Datatypesclass.h*/

/* DTM_BLITPIXELARRAY	*/
struct gpBlitPixelArray
{
	ULONG		MethodID;		/* DTM_BLITPIXELARRAY id */
	UBYTE		*PixelArray;		/* Source PixelArray */
	ULONG		PixelArrayMode;		/* Format Mode of the Source PixelArray..see cybergraphics.h */
	ULONG		PixelArrayMod;		/* Bytes to add to the next line in the Source PixelArray */
	ULONG		LeftEdge;		/* XStart of the Dest */
	ULONG		TopEdge;		/* YStart of the Dest */
	ULONG		Width;			/* Width of the Source PixelArray */
	ULONG		Height;			/* Height of the Source PixelArray */
};






#define	PDTA_SourceMode		(DTA_Dummy + 250)	/* Used to set the sub datatype interface */
#define	PDTA_DestMode		(DTA_Dummy + 251)	/* Used to set the app datatype interface */
#define	PDTA_PixelFormat	(DTA_Dummy + 252)	/* private..DON'T touch */
#define	PDTA_TransRemapPen	(DTA_Dummy + 253)	/* Optional transparent remap pen */
#define	PDTA_NumPixMapDir	(DTA_Dummy + 254)	/* Count of the Object's PixMapDirs..default=1 */
#define PDTA_UseFriendBitMap	(DTA_Dummy + 255)	/* Converts the result bitmap into a friendbitmap */
#define PDTA_AlphaChannel	(DTA_Dummy + 256)	/* Alphachannel input */
#define PDTA_MultiRemap		(DTA_Dummy + 257)	/* Tells the picture.datatype NOT to keep control */
                                                        /* over DestBitmap and Pens...these are now*/
                                                        /* controlled by the appliction. TM mode*/
#define	PDTA_MaskPlane		(DTA_Dummy + 258)	/* NULL or MaskPlane for BltMaskBitMapRastPort() */
                                                        /* This mask is generated when the transparent flag is set*/
                                                        /* or an Alphachannel exists */

/* PDTA_SourceMode,PDTA_DestMode */
#define	MODE_V42		0
#define	MODE_V43		1


